| Flutter Linux Embedder |

Classes | Functions
fl_accessibility_handler.h File Reference
`#include <gtk/gtk.h>`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_engine.h"`

Go to the source code of this file.

## Classes
struct | _FlAccessibilityHandlerClass

## Functions
G_BEGIN_DECLS | G_DECLARE_DERIVABLE_TYPE (FlAccessibilityHandler, fl_accessibility_handler, FL, ACCESSIBILITY_HANDLER, GObject)
FlAccessibilityHandler * | fl_accessibility_handler_new (FlEngine *engine)

## Function Documentation

## ◆ fl_accessibility_handler_new()

FlAccessibilityHandler* fl_accessibility_handler_new | ( | FlEngine * | engine | ) |

FlAccessibilityHandler:

#FlAccessibilityHandler is a handler that implements the shell side of SystemChannels.accessibility from the Flutter services library. fl_accessibility_handler_new: @engine: an #FlEngine.

Creates a new handler that implements SystemChannels.accessibility from the Flutter services library.

Returns: a new #FlAccessibilityHandler

Definition at line 69 of file fl_accessibility_handler.cc.

69 {
70 g_return_val_if_fail(FL_IS_ENGINE(engine), nullptr);
71
72 FlAccessibilityHandler* self = FL_ACCESSIBILITY_HANDLER(
73 g_object_new(fl_accessibility_handler_get_type(), nullptr));
74 FlAccessibilityHandlerPrivate* priv =
75 reinterpret_cast<FlAccessibilityHandlerPrivate*>(
76 fl_accessibility_handler_get_instance_private(self));
77
78 g_weak_ref_init(&priv->engine, engine);
79 priv->channel =
80 fl_accessibility_channel_new(fl_engine_get_binary_messenger(engine),
81 &accessibility_channel_vtable, self);
82
83 return self;
84 }
fl_accessibility_channel_new
FlAccessibilityChannel * fl_accessibility_channel_new(FlBinaryMessenger *messenger, FlAccessibilityChannelVTable *vtable, gpointer user_data)
Definition: fl_accessibility_channel.cc:177
accessibility_channel_vtable
static FlAccessibilityChannelVTable accessibility_channel_vtable
Definition: fl_accessibility_handler.cc:65
priv
FlAccessibilityHandlerPrivate * priv
Definition: fl_accessibility_handler.cc:26
fl_engine_get_binary_messenger
G_MODULE_EXPORT FlBinaryMessenger * fl_engine_get_binary_messenger(FlEngine *self)
Definition: fl_engine.cc:1451
FlAccessibilityHandlerPrivate
Definition: fl_accessibility_handler.cc:11
FlAccessibilityHandlerPrivate::channel
FlAccessibilityChannel * channel
Definition: fl_accessibility_handler.cc:13
FlAccessibilityHandlerPrivate::engine
GWeakRef engine
Definition: fl_accessibility_handler.cc:12

References accessibility_channel_vtable, FlAccessibilityHandlerPrivate::channel, FlAccessibilityHandlerPrivate::engine, fl_accessibility_channel_new(), fl_engine_get_binary_messenger(), and priv.

Referenced by fl_engine_new_full().

## ◆ G_DECLARE_DERIVABLE_TYPE()

G_BEGIN_DECLS G_DECLARE_DERIVABLE_TYPE | ( | FlAccessibilityHandler | ,
|  | fl_accessibility_handler | ,
|  | FL | ,
|  | ACCESSIBILITY_HANDLER | ,
|  | GObject |
| ) |  |